SQ(1)

NAME
sq download - Download and authenticate the data

SYNOPSIS
sq download [OPTIONS]

DESCRIPTION
Download and authenticate the data.

This command downloads the data from the specified URL, checks the signature, and then authenticates the signer. If the signer cannot be authenticated, the data is deleted, if possible.

OPTIONS

  Subcommand options

--cleartext
    Verify a cleartext-signed message

--message
    Verify an inline signed message

--output=FILE
    Write to FILE or stdout if FILE is '-'

--signature-url=URL
    URL of the signature

    Use this when the signature is detached from the data.

    If no signature is specified, then the signature is assumed to be inline.

--signatures=N
    Set the threshold of valid signatures to N

    If this threshold is not reached, the message will not be considered verified.

    [default: 1]

--signer=FINGERPRINT|KEYID
    Require a signature from a certificate with the specified fingerprint or key ID

--signer-domain=DOMAIN
    Require a signature from a certificate where a user ID includes an email address for the specified domain

--signer-email=EMAIL
    Require a signature from a certificate where a user ID includes the specified email address

--signer-file=PATH
    Require a signature from a certificate read from PATH

--signer-userid=USERID
    Require a signature from a certificate with the specified user ID

--url=URL
    The data to download

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Download and verify the Debian 12 checksum file.

    sq download --url=file://debian/SHA512SUMS \
        --signature-url=file://debian/SHA512SUMS.sign \
        --signer=DF9B9C49EAA9298432589D76DA87E80D6294BE9B \
        --output=SHA512SUMS

SEE ALSO
sq(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.2.0 (sequoia-openpgp 1.22.0)